For Developers

Delete Geo

DELETE https://ed.link/api/v2/teams/:team_id/origin_policies/:policy_id/geos/:geo_id

Removes a geographic country code restriction from the origin policy.

Permissions

Requires the origin_policy_geos.delete system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:policy_idUUIDYesThe ID of the origin policy.
:geo_idUUIDYesThe ID of the geographic rule to delete.

Sample Request

const response = await axios.delete(`https://ed.link/api/v2/teams/${team_id}/origin_policies/${policy_id}/geos/${geo_id}`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{ "$request": "00000000-0000-0000-0000-000000000000" }